package com.ruoyi.buyerapi.service.impl;

import java.util.List;

import com.ruoyi.buyerapi.domain.BuyerHelp;
import com.ruoyi.buyerapi.mapper.BuyerHelpMapper;
import com.ruoyi.buyerapi.service.IBuyerHelpService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 帮助中心Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-10-12
 */
@Service
public class BuyerHelpServiceImpl implements IBuyerHelpService
{
    @Autowired
    private BuyerHelpMapper buyerHelpMapper;

    /**
     * 查询帮助中心
     * 
     * @param id 帮助中心主键
     * @return 帮助中心
     */
    @Override
    public BuyerHelp selectBuyerHelpById(String id)
    {
        return buyerHelpMapper.selectBuyerHelpById(id);
    }

    /**
     * 查询帮助中心列表
     * 
     * @param buyerHelp 帮助中心
     * @return 帮助中心
     */
    @Override
    public List<BuyerHelp> selectBuyerHelpList(BuyerHelp buyerHelp)
    {
        return buyerHelpMapper.selectBuyerHelpList(buyerHelp);
    }

    /**
     * 新增帮助中心
     * 
     * @param buyerHelp 帮助中心
     * @return 结果
     */
    @Override
    public int insertBuyerHelp(BuyerHelp buyerHelp)
    {
        buyerHelp.setCreateTime(DateUtils.getNowDate());
        return buyerHelpMapper.insertBuyerHelp(buyerHelp);
    }

    /**
     * 修改帮助中心
     * 
     * @param buyerHelp 帮助中心
     * @return 结果
     */
    @Override
    public int updateBuyerHelp(BuyerHelp buyerHelp)
    {
        buyerHelp.setUpdateTime(DateUtils.getNowDate());
        return buyerHelpMapper.updateBuyerHelp(buyerHelp);
    }

    /**
     * 批量删除帮助中心
     * 
     * @param ids 需要删除的帮助中心主键
     * @return 结果
     */
    @Override
    public int deleteBuyerHelpByIds(String[] ids)
    {
        return buyerHelpMapper.deleteBuyerHelpByIds(ids);
    }

    /**
     * 删除帮助中心信息
     * 
     * @param id 帮助中心主键
     * @return 结果
     */
    @Override
    public int deleteBuyerHelpById(String id)
    {
        return buyerHelpMapper.deleteBuyerHelpById(id);
    }
}
